Chat
ChatCompletions
Given a list of messages comprising a conversation, the model will return a response.
Create chat completion
List Chat Completions
Get chat completion
Update chat completion
Delete chat completion
ModelsExpand Collapse
ChatCompletion = object { id, choices, created, 5 more } Represents a chat completion response returned by model, based on the provided input.
Represents a chat completion response returned by model, based on the provided input.
choices: array of object { finish_reason, index, logprobs, message } A list of chat completion choices. Can be more than one if n is greater than 1.
A list of chat completion choices. Can be more than one if n is greater than 1.
finish_reason: "stop" or "length" or "tool_calls" or 2 moreThe reason the model stopped generating tokens. This will be stop if the model hit a natural stop point or a provided stop sequence,
length if the maximum number of tokens specified in the request was reached,
content_filter if content was omitted due to a flag from our content filters,
tool_calls if the model called a tool, or function_call (deprecated) if the model called a function.
The reason the model stopped generating tokens. This will be stop if the model hit a natural stop point or a provided stop sequence,
length if the maximum number of tokens specified in the request was reached,
content_filter if content was omitted due to a flag from our content filters,
tool_calls if the model called a tool, or function_call (deprecated) if the model called a function.
logprobs: object { content, refusal } Log probability information for the choice.
Log probability information for the choice.
A list of message content tokens with log probability information.
A list of message content tokens with log probability information.
A list of integers representing the UTF-8 bytes representation of the token. Useful in instances where characters are represented by multiple tokens and their byte representations must be combined to generate the correct text representation. Can be null if there is no bytes representation for the token.
The log probability of this token, if it is within the top 20 most likely tokens. Otherwise, the value -9999.0 is used to signify that the token is very unlikely.
top_logprobs: array of object { token, bytes, logprob } List of the most likely tokens and their log probability, at this token position. In rare cases, there may be fewer than the number of requested top_logprobs returned.
List of the most likely tokens and their log probability, at this token position. In rare cases, there may be fewer than the number of requested top_logprobs returned.
A list of integers representing the UTF-8 bytes representation of the token. Useful in instances where characters are represented by multiple tokens and their byte representations must be combined to generate the correct text representation. Can be null if there is no bytes representation for the token.
A list of message refusal tokens with log probability information.
A list of message refusal tokens with log probability information.
A list of integers representing the UTF-8 bytes representation of the token. Useful in instances where characters are represented by multiple tokens and their byte representations must be combined to generate the correct text representation. Can be null if there is no bytes representation for the token.
The log probability of this token, if it is within the top 20 most likely tokens. Otherwise, the value -9999.0 is used to signify that the token is very unlikely.
top_logprobs: array of object { token, bytes, logprob } List of the most likely tokens and their log probability, at this token position. In rare cases, there may be fewer than the number of requested top_logprobs returned.
List of the most likely tokens and their log probability, at this token position. In rare cases, there may be fewer than the number of requested top_logprobs returned.
A list of integers representing the UTF-8 bytes representation of the token. Useful in instances where characters are represented by multiple tokens and their byte representations must be combined to generate the correct text representation. Can be null if there is no bytes representation for the token.
service_tier: optional "auto" or "default" or "flex" or 2 moreSpecifies the processing type used for serving the request.
- If set to 'auto', then the request will be processed with the service tier configured in the Project settings. Unless otherwise configured, the Project will use 'default'.
- If set to 'default', then the request will be processed with the standard pricing and performance for the selected model.
- If set to 'flex' or 'priority', then the request will be processed with the corresponding service tier.
- When not set, the default behavior is 'auto'.
When the service_tier parameter is set, the response body will include the service_tier value based on the processing mode actually used to serve the request. This response value may be different from the value set in the parameter.
Specifies the processing type used for serving the request.
- If set to 'auto', then the request will be processed with the service tier configured in the Project settings. Unless otherwise configured, the Project will use 'default'.
- If set to 'default', then the request will be processed with the standard pricing and performance for the selected model.
- If set to 'flex' or 'priority', then the request will be processed with the corresponding service tier.
- When not set, the default behavior is 'auto'.
When the service_tier parameter is set, the response body will include the service_tier value based on the processing mode actually used to serve the request. This response value may be different from the value set in the parameter.
This fingerprint represents the backend configuration that the model runs with.
Can be used in conjunction with the seed request parameter to understand when backend changes have been made that might impact determinism.
ChatCompletionAssistantMessageParam = object { role, audio, content, 4 more } Messages sent by the model in response to user messages.
Messages sent by the model in response to user messages.
audio: optional object { id } Data about a previous audio response from the model.
Learn more.
Data about a previous audio response from the model. Learn more.
content: optional string or array of ChatCompletionContentPartText { text, type } or ChatCompletionContentPartRefusal { refusal, type } The contents of the assistant message. Required unless tool_calls or function_call is specified.
The contents of the assistant message. Required unless tool_calls or function_call is specified.
ArrayOfContentParts = array of ChatCompletionContentPartText { text, type } or ChatCompletionContentPartRefusal { refusal, type } An array of content parts with a defined type. Can be one or more of type text, or exactly one of type refusal.
An array of content parts with a defined type. Can be one or more of type text, or exactly one of type refusal.
ChatCompletionContentPartText = object { text, type } Learn about text inputs.
Learn about text inputs.
Deprecatedfunction_call: optional object { arguments, name } Deprecated and replaced by tool_calls. The name and arguments of a function that should be called, as generated by the model.
Deprecated and replaced by tool_calls. The name and arguments of a function that should be called, as generated by the model.
An optional name for the participant. Provides the model information to differentiate between participants of the same role.
The tool calls generated by the model, such as function calls.
The tool calls generated by the model, such as function calls.
ChatCompletionMessageFunctionToolCall = object { id, function, type } A call to a function tool created by the model.
A call to a function tool created by the model.
function: object { arguments, name } The function that the model called.
The function that the model called.
ChatCompletionAudio = object { id, data, expires_at, transcript } If the audio output modality is requested, this object contains data
about the audio response from the model. Learn more.
If the audio output modality is requested, this object contains data about the audio response from the model. Learn more.
ChatCompletionAudioParam = object { format, voice } Parameters for audio output. Required when audio output is requested with
modalities: ["audio"]. Learn more.
Parameters for audio output. Required when audio output is requested with
modalities: ["audio"]. Learn more.
format: "wav" or "aac" or "mp3" or 3 moreSpecifies the output audio format. Must be one of wav, mp3, flac,
opus, or pcm16.
Specifies the output audio format. Must be one of wav, mp3, flac,
opus, or pcm16.
voice: string or "alloy" or "ash" or "ballad" or 7 more or object { id } The voice the model uses to respond. Supported built-in voices are
alloy, ash, ballad, coral, echo, fable, nova, onyx,
sage, shimmer, marin, and cedar. You may also provide a
custom voice object with an id, for example { "id": "voice_1234" }.
The voice the model uses to respond. Supported built-in voices are
alloy, ash, ballad, coral, echo, fable, nova, onyx,
sage, shimmer, marin, and cedar. You may also provide a
custom voice object with an id, for example { "id": "voice_1234" }.
ChatCompletionChunk = object { id, choices, created, 5 more } Represents a streamed chunk of a chat completion response returned
by the model, based on the provided input.
Learn more.
Represents a streamed chunk of a chat completion response returned by the model, based on the provided input. Learn more.
choices: array of object { delta, finish_reason, index, logprobs } A list of chat completion choices. Can contain more than one elements if n is greater than 1. Can also be empty for the
last chunk if you set stream_options: {"include_usage": true}.
A list of chat completion choices. Can contain more than one elements if n is greater than 1. Can also be empty for the
last chunk if you set stream_options: {"include_usage": true}.
delta: object { content, function_call, refusal, 2 more } A chat completion delta generated by streamed model responses.
A chat completion delta generated by streamed model responses.
Deprecatedfunction_call: optional object { arguments, name } Deprecated and replaced by tool_calls. The name and arguments of a function that should be called, as generated by the model.
Deprecated and replaced by tool_calls. The name and arguments of a function that should be called, as generated by the model.
tool_calls: optional array of object { index, id, function, type }
function: optional object { arguments, name }
finish_reason: "stop" or "length" or "tool_calls" or 2 moreThe reason the model stopped generating tokens. This will be stop if the model hit a natural stop point or a provided stop sequence,
length if the maximum number of tokens specified in the request was reached,
content_filter if content was omitted due to a flag from our content filters,
tool_calls if the model called a tool, or function_call (deprecated) if the model called a function.
The reason the model stopped generating tokens. This will be stop if the model hit a natural stop point or a provided stop sequence,
length if the maximum number of tokens specified in the request was reached,
content_filter if content was omitted due to a flag from our content filters,
tool_calls if the model called a tool, or function_call (deprecated) if the model called a function.
logprobs: optional object { content, refusal } Log probability information for the choice.
Log probability information for the choice.
A list of message content tokens with log probability information.
A list of message content tokens with log probability information.
A list of integers representing the UTF-8 bytes representation of the token. Useful in instances where characters are represented by multiple tokens and their byte representations must be combined to generate the correct text representation. Can be null if there is no bytes representation for the token.
The log probability of this token, if it is within the top 20 most likely tokens. Otherwise, the value -9999.0 is used to signify that the token is very unlikely.
top_logprobs: array of object { token, bytes, logprob } List of the most likely tokens and their log probability, at this token position. In rare cases, there may be fewer than the number of requested top_logprobs returned.
List of the most likely tokens and their log probability, at this token position. In rare cases, there may be fewer than the number of requested top_logprobs returned.
A list of integers representing the UTF-8 bytes representation of the token. Useful in instances where characters are represented by multiple tokens and their byte representations must be combined to generate the correct text representation. Can be null if there is no bytes representation for the token.
A list of message refusal tokens with log probability information.
A list of message refusal tokens with log probability information.
A list of integers representing the UTF-8 bytes representation of the token. Useful in instances where characters are represented by multiple tokens and their byte representations must be combined to generate the correct text representation. Can be null if there is no bytes representation for the token.
The log probability of this token, if it is within the top 20 most likely tokens. Otherwise, the value -9999.0 is used to signify that the token is very unlikely.
top_logprobs: array of object { token, bytes, logprob } List of the most likely tokens and their log probability, at this token position. In rare cases, there may be fewer than the number of requested top_logprobs returned.
List of the most likely tokens and their log probability, at this token position. In rare cases, there may be fewer than the number of requested top_logprobs returned.
A list of integers representing the UTF-8 bytes representation of the token. Useful in instances where characters are represented by multiple tokens and their byte representations must be combined to generate the correct text representation. Can be null if there is no bytes representation for the token.
The Unix timestamp (in seconds) of when the chat completion was created. Each chunk has the same timestamp.
service_tier: optional "auto" or "default" or "flex" or 2 moreSpecifies the processing type used for serving the request.
- If set to 'auto', then the request will be processed with the service tier configured in the Project settings. Unless otherwise configured, the Project will use 'default'.
- If set to 'default', then the request will be processed with the standard pricing and performance for the selected model.
- If set to 'flex' or 'priority', then the request will be processed with the corresponding service tier.
- When not set, the default behavior is 'auto'.
When the service_tier parameter is set, the response body will include the service_tier value based on the processing mode actually used to serve the request. This response value may be different from the value set in the parameter.
Specifies the processing type used for serving the request.
- If set to 'auto', then the request will be processed with the service tier configured in the Project settings. Unless otherwise configured, the Project will use 'default'.
- If set to 'default', then the request will be processed with the standard pricing and performance for the selected model.
- If set to 'flex' or 'priority', then the request will be processed with the corresponding service tier.
- When not set, the default behavior is 'auto'.
When the service_tier parameter is set, the response body will include the service_tier value based on the processing mode actually used to serve the request. This response value may be different from the value set in the parameter.
This fingerprint represents the backend configuration that the model runs with.
Can be used in conjunction with the seed request parameter to understand when backend changes have been made that might impact determinism.
An optional field that will only be present when you set
stream_options: {"include_usage": true} in your request. When present, it
contains a null value except for the last chunk which contains the
token usage statistics for the entire request.
NOTE: If the stream is interrupted or cancelled, you may not receive the final usage chunk which contains the total token usage for the request.
ChatCompletionContentPart = ChatCompletionContentPartText { text, type } or ChatCompletionContentPartImage { image_url, type } or ChatCompletionContentPartInputAudio { input_audio, type } or object { file, type } Learn about text inputs.
Learn about text inputs.
ChatCompletionContentPartText = object { text, type } Learn about text inputs.
Learn about text inputs.
ChatCompletionContentPartImage = object { image_url, type } Learn about image inputs.
Learn about image inputs.
image_url: object { url, detail }
detail: optional "auto" or "low" or "high"Specifies the detail level of the image. Learn more in the Vision guide.
Specifies the detail level of the image. Learn more in the Vision guide.
ChatCompletionContentPartInputAudio = object { input_audio, type } Learn about audio inputs.
Learn about audio inputs.
FileContentPart = object { file, type } Learn about file inputs for text generation.
Learn about file inputs for text generation.
ChatCompletionContentPartImage = object { image_url, type } Learn about image inputs.
Learn about image inputs.
image_url: object { url, detail }
detail: optional "auto" or "low" or "high"Specifies the detail level of the image. Learn more in the Vision guide.
Specifies the detail level of the image. Learn more in the Vision guide.
ChatCompletionContentPartInputAudio = object { input_audio, type } Learn about audio inputs.
Learn about audio inputs.
ChatCompletionContentPartText = object { text, type } Learn about text inputs.
Learn about text inputs.
ChatCompletionCustomTool = object { custom, type } A custom tool that processes input using a specified format.
A custom tool that processes input using a specified format.
custom: object { name, description, format } Properties of the custom tool.
Properties of the custom tool.
ChatCompletionDeveloperMessageParam = object { content, role, name } Developer-provided instructions that the model should follow, regardless of
messages sent by the user. With o1 models and newer, developer messages
replace the previous system messages.
Developer-provided instructions that the model should follow, regardless of
messages sent by the user. With o1 models and newer, developer messages
replace the previous system messages.
ChatCompletionMessage = object { content, refusal, role, 4 more } A chat completion message generated by the model.
A chat completion message generated by the model.
annotations: optional array of object { type, url_citation } Annotations for the message, when applicable, as when using the
web search tool.
Annotations for the message, when applicable, as when using the web search tool.
If the audio output modality is requested, this object contains data about the audio response from the model. Learn more.
Deprecatedfunction_call: optional object { arguments, name } Deprecated and replaced by tool_calls. The name and arguments of a function that should be called, as generated by the model.
Deprecated and replaced by tool_calls. The name and arguments of a function that should be called, as generated by the model.
The tool calls generated by the model, such as function calls.
The tool calls generated by the model, such as function calls.
ChatCompletionMessageFunctionToolCall = object { id, function, type } A call to a function tool created by the model.
A call to a function tool created by the model.
function: object { arguments, name } The function that the model called.
The function that the model called.
ChatCompletionMessageFunctionToolCall = object { id, function, type } A call to a function tool created by the model.
A call to a function tool created by the model.
function: object { arguments, name } The function that the model called.
The function that the model called.
ChatCompletionMessageParam = ChatCompletionDeveloperMessageParam { content, role, name } or ChatCompletionSystemMessageParam { content, role, name } or ChatCompletionUserMessageParam { content, role, name } or 3 moreDeveloper-provided instructions that the model should follow, regardless of
messages sent by the user. With o1 models and newer, developer messages
replace the previous system messages.
Developer-provided instructions that the model should follow, regardless of
messages sent by the user. With o1 models and newer, developer messages
replace the previous system messages.
ChatCompletionDeveloperMessageParam = object { content, role, name } Developer-provided instructions that the model should follow, regardless of
messages sent by the user. With o1 models and newer, developer messages
replace the previous system messages.
Developer-provided instructions that the model should follow, regardless of
messages sent by the user. With o1 models and newer, developer messages
replace the previous system messages.
ChatCompletionSystemMessageParam = object { content, role, name } Developer-provided instructions that the model should follow, regardless of
messages sent by the user. With o1 models and newer, use developer messages
for this purpose instead.
Developer-provided instructions that the model should follow, regardless of
messages sent by the user. With o1 models and newer, use developer messages
for this purpose instead.
ChatCompletionUserMessageParam = object { content, role, name } Messages sent by an end user, containing prompts or additional context
information.
Messages sent by an end user, containing prompts or additional context information.
The contents of the user message.
The contents of the user message.
An array of content parts with a defined type. Supported options differ based on the model being used to generate the response. Can contain text, image, or audio inputs.
An array of content parts with a defined type. Supported options differ based on the model being used to generate the response. Can contain text, image, or audio inputs.
ChatCompletionContentPartText = object { text, type } Learn about text inputs.
Learn about text inputs.
ChatCompletionContentPartImage = object { image_url, type } Learn about image inputs.
Learn about image inputs.
image_url: object { url, detail }
detail: optional "auto" or "low" or "high"Specifies the detail level of the image. Learn more in the Vision guide.
Specifies the detail level of the image. Learn more in the Vision guide.
ChatCompletionContentPartInputAudio = object { input_audio, type } Learn about audio inputs.
Learn about audio inputs.
FileContentPart = object { file, type } Learn about file inputs for text generation.
Learn about file inputs for text generation.
ChatCompletionAssistantMessageParam = object { role, audio, content, 4 more } Messages sent by the model in response to user messages.
Messages sent by the model in response to user messages.
audio: optional object { id } Data about a previous audio response from the model.
Learn more.
Data about a previous audio response from the model. Learn more.
content: optional string or array of ChatCompletionContentPartText { text, type } or ChatCompletionContentPartRefusal { refusal, type } The contents of the assistant message. Required unless tool_calls or function_call is specified.
The contents of the assistant message. Required unless tool_calls or function_call is specified.
ArrayOfContentParts = array of ChatCompletionContentPartText { text, type } or ChatCompletionContentPartRefusal { refusal, type } An array of content parts with a defined type. Can be one or more of type text, or exactly one of type refusal.
An array of content parts with a defined type. Can be one or more of type text, or exactly one of type refusal.
ChatCompletionContentPartText = object { text, type } Learn about text inputs.
Learn about text inputs.
Deprecatedfunction_call: optional object { arguments, name } Deprecated and replaced by tool_calls. The name and arguments of a function that should be called, as generated by the model.
Deprecated and replaced by tool_calls. The name and arguments of a function that should be called, as generated by the model.
An optional name for the participant. Provides the model information to differentiate between participants of the same role.
The tool calls generated by the model, such as function calls.
The tool calls generated by the model, such as function calls.
ChatCompletionMessageFunctionToolCall = object { id, function, type } A call to a function tool created by the model.
A call to a function tool created by the model.
function: object { arguments, name } The function that the model called.
The function that the model called.
ChatCompletionMessageToolCall = ChatCompletionMessageFunctionToolCall { id, function, type } or ChatCompletionMessageCustomToolCall { id, custom, type } A call to a function tool created by the model.
A call to a function tool created by the model.
ChatCompletionMessageFunctionToolCall = object { id, function, type } A call to a function tool created by the model.
A call to a function tool created by the model.
function: object { arguments, name } The function that the model called.
The function that the model called.
ChatCompletionPredictionContent = object { content, type } Static predicted output content, such as the content of a text file that is
being regenerated.
Static predicted output content, such as the content of a text file that is being regenerated.
The content that should be matched when generating a model response.
If generated tokens would match this content, the entire model response
can be returned much more quickly.
The content that should be matched when generating a model response. If generated tokens would match this content, the entire model response can be returned much more quickly.
The content used for a Predicted Output. This is often the text of a file you are regenerating with minor changes.
An array of content parts with a defined type. Supported options differ based on the model being used to generate the response. Can contain text inputs.
An array of content parts with a defined type. Supported options differ based on the model being used to generate the response. Can contain text inputs.
A chat completion message generated by the model.
A chat completion message generated by the model.
content_parts: optional array of ChatCompletionContentPartText { text, type } or ChatCompletionContentPartImage { image_url, type } If a content parts array was provided, this is an array of text and image_url parts.
Otherwise, null.
If a content parts array was provided, this is an array of text and image_url parts.
Otherwise, null.
ChatCompletionContentPartText = object { text, type } Learn about text inputs.
Learn about text inputs.
ChatCompletionContentPartImage = object { image_url, type } Learn about image inputs.
Learn about image inputs.
image_url: object { url, detail }
detail: optional "auto" or "low" or "high"Specifies the detail level of the image. Learn more in the Vision guide.
Specifies the detail level of the image. Learn more in the Vision guide.
ChatCompletionStreamOptions = object { include_obfuscation, include_usage } Options for streaming response. Only set this when you set stream: true.
Options for streaming response. Only set this when you set stream: true.
When true, stream obfuscation will be enabled. Stream obfuscation adds
random characters to an obfuscation field on streaming delta events to
normalize payload sizes as a mitigation to certain side-channel attacks.
These obfuscation fields are included by default, but add a small amount
of overhead to the data stream. You can set include_obfuscation to
false to optimize for bandwidth if you trust the network links between
your application and the OpenAI API.
If set, an additional chunk will be streamed before the data: [DONE]
message. The usage field on this chunk shows the token usage statistics
for the entire request, and the choices field will always be an empty
array.
All other chunks will also include a usage field, but with a null
value. NOTE: If the stream is interrupted, you may not receive the
final usage chunk which contains the total token usage for the request.
ChatCompletionSystemMessageParam = object { content, role, name } Developer-provided instructions that the model should follow, regardless of
messages sent by the user. With o1 models and newer, use developer messages
for this purpose instead.
Developer-provided instructions that the model should follow, regardless of
messages sent by the user. With o1 models and newer, use developer messages
for this purpose instead.
ChatCompletionTokenLogprob = object { token, bytes, logprob, top_logprobs }
A list of integers representing the UTF-8 bytes representation of the token. Useful in instances where characters are represented by multiple tokens and their byte representations must be combined to generate the correct text representation. Can be null if there is no bytes representation for the token.
The log probability of this token, if it is within the top 20 most likely tokens. Otherwise, the value -9999.0 is used to signify that the token is very unlikely.
top_logprobs: array of object { token, bytes, logprob } List of the most likely tokens and their log probability, at this token position. In rare cases, there may be fewer than the number of requested top_logprobs returned.
List of the most likely tokens and their log probability, at this token position. In rare cases, there may be fewer than the number of requested top_logprobs returned.
A list of integers representing the UTF-8 bytes representation of the token. Useful in instances where characters are represented by multiple tokens and their byte representations must be combined to generate the correct text representation. Can be null if there is no bytes representation for the token.
ChatCompletionTool = ChatCompletionFunctionTool { function, type } or ChatCompletionCustomTool { custom, type } A function tool that can be used to generate a response.
A function tool that can be used to generate a response.
ChatCompletionFunctionTool = object { function, type } A function tool that can be used to generate a response.
A function tool that can be used to generate a response.
ChatCompletionCustomTool = object { custom, type } A custom tool that processes input using a specified format.
A custom tool that processes input using a specified format.
custom: object { name, description, format } Properties of the custom tool.
Properties of the custom tool.
ChatCompletionToolChoiceOption = "none" or "auto" or "required" or ChatCompletionAllowedToolChoice { allowed_tools, type } or ChatCompletionNamedToolChoice { function, type } or ChatCompletionNamedToolChoiceCustom { custom, type } Controls which (if any) tool is called by the model.
none means the model will not call any tool and instead generates a message.
auto means the model can pick between generating a message or calling one or more tools.
required means the model must call one or more tools.
Specifying a particular tool via {"type": "function", "function": {"name": "my_function"}} forces the model to call that tool.
none is the default when no tools are present. auto is the default if tools are present.
Controls which (if any) tool is called by the model.
none means the model will not call any tool and instead generates a message.
auto means the model can pick between generating a message or calling one or more tools.
required means the model must call one or more tools.
Specifying a particular tool via {"type": "function", "function": {"name": "my_function"}} forces the model to call that tool.
none is the default when no tools are present. auto is the default if tools are present.
ToolChoiceMode = "none" or "auto" or "required"none means the model will not call any tool and instead generates a message. auto means the model can pick between generating a message or calling one or more tools. required means the model must call one or more tools.
none means the model will not call any tool and instead generates a message. auto means the model can pick between generating a message or calling one or more tools. required means the model must call one or more tools.
ChatCompletionAllowedToolChoice = object { allowed_tools, type } Constrains the tools available to the model to a pre-defined set.
Constrains the tools available to the model to a pre-defined set.
ChatCompletionUserMessageParam = object { content, role, name } Messages sent by an end user, containing prompts or additional context
information.
Messages sent by an end user, containing prompts or additional context information.
The contents of the user message.
The contents of the user message.
An array of content parts with a defined type. Supported options differ based on the model being used to generate the response. Can contain text, image, or audio inputs.
An array of content parts with a defined type. Supported options differ based on the model being used to generate the response. Can contain text, image, or audio inputs.
ChatCompletionContentPartText = object { text, type } Learn about text inputs.
Learn about text inputs.
ChatCompletionContentPartImage = object { image_url, type } Learn about image inputs.
Learn about image inputs.
image_url: object { url, detail }
detail: optional "auto" or "low" or "high"Specifies the detail level of the image. Learn more in the Vision guide.
Specifies the detail level of the image. Learn more in the Vision guide.
ChatCompletionContentPartInputAudio = object { input_audio, type } Learn about audio inputs.
Learn about audio inputs.
FileContentPart = object { file, type } Learn about file inputs for text generation.
Learn about file inputs for text generation.
ChatCompletionAllowedTools = object { mode, tools } Constrains the tools available to the model to a pre-defined set.
Constrains the tools available to the model to a pre-defined set.
ChatCompletionsMessages
Given a list of messages comprising a conversation, the model will return a response.